Bug 1164476 - On the first run tilda does not create necessary directories
Summary: On the first run tilda does not create necessary directories
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tilda
Version: 21
Hardware: Unspecified
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: hannes
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-15 16:56 UTC by Štefan Gurský
Modified: 2014-12-06 10:55 UTC (History)
2 users (show)

Fixed In Version: tilda-1.2.2-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-27 08:37:05 UTC
Type: Bug


Attachments (Terms of Use)

Description Štefan Gurský 2014-11-15 16:56:06 UTC
Description of problem:
When tilda is ran for the first time, it fails with

Unable to open lock directory: /home/<username>/.cache/tilda/locks

Creating the directory solves the problem.

Version-Release number of selected component (if applicable):
Name        : tilda
Version     : 1.2.1
Release     : 1.fc21
Architecture: x86_64


Steps to Reproduce:
1. install tilda (or remove ~/.cache/tilda/locks)
2. run tilda
3. observe the error (if run from terminal)

Actual results:
tilda does not start

Expected results:
tilda creates necessary directories and starts. Removing content of ~/.cache should have no effect (except slowing them) on programs.

Comment 1 hannes 2014-11-16 07:09:07 UTC
This bug is already fixed upstream in version 1.2.2. [1]
I will try to provide fixed packages as soon as possible.

https://github.com/lanoxx/tilda/commit/5a636edac466d66f328edf575bea52a5ef22e902

Comment 2 Fedora Update System 2014-11-17 07:53:10 UTC
tilda-1.2.2-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/tilda-1.2.2-1.fc21

Comment 3 Fedora Update System 2014-11-17 07:53:17 UTC
tilda-1.2.2-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/tilda-1.2.2-1.fc20

Comment 4 Fedora Update System 2014-11-18 12:11:39 UTC
Package tilda-1.2.2-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing tilda-1.2.2-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-15259/tilda-1.2.2-1.fc20
then log in and leave karma (feedback).

Comment 5 Fedora Update System 2014-11-27 08:37:05 UTC
tilda-1.2.2-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2014-12-06 10:55:41 UTC
tilda-1.2.2-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.